<?php

	$condicion = 1;
	$regimen = 70;
	$idsp = 8;
	//echo $id;
	//$_SESSION['idsp']=$idsp;
include "database.php";
include "class.upload.php";
//include ("conex.php");
	
//SELECT sp.codigo, sp.anio, sp.numero from tb_solicitudprevia as sp where sp.id_empresa = 8

/*$consulta = mysql_query("SELECT sp.codigo, sp.anio, sp.numero 
						FROM tb_solicitudprevia as sp 
						WHERE sp.id_empresa =  $idsp AND condicion = 1",$dbx);*/


	$perfil = "SELECT sp.codigo, sp.anio, sp.numero, condicion 
						FROM tb_solicitudprevia as sp 
						WHERE sp.id_empresa =  $idsp AND condicion = 1";
				
	$per = mysql_query($perfil, $dbx);
	if($row = mysql_fetch_array($per))
		{
		  
			$codigo = $row['codigo']; 
			$anio =$row['anio'];	
            $numero=$row['numero'];
		}
	
		$dai=$codigo."-".$anio."-".$regimen."-".$numero;
 echo $dai;
/*
if(isset($_FILES["name"])){
	$up = new Upload($_FILES["name"]);
	if($up->uploaded){
		$up->Process("./uploads/");
		if($up->processed){
            /// leer el archivo excel
            require_once 'PHPExcel/Classes/PHPExcel.php';
            $archivo = "uploads/".$up->file_dst_name;
            $inputFileType = PHPExcel_IOFactory::identify($archivo);
            $objReader = PHPExcel_IOFactory::createReader($inputFileType);
            $objPHPExcel = $objReader->load($archivo);
            $sheet = $objPHPExcel->getSheet(0); 
            $highestRow = $sheet->getHighestRow(); 
            $highestColumn = $sheet->getHighestColumn();
            for ($row = 3; $row <= $highestRow; $row++){ 
                $x_item = $sheet->getCell("A".$row)->getValue();
                $x_descripcion = $sheet->getCell("F".$row)->getValue();
                $x_modelo = $sheet->getCell("N".$row)->getValue();
                $x_marca = $sheet->getCell("O".$row)->getValue();
                //$x_otras = $sheet->getCell("Q".$row)->getValue();
                $x_otras = $sheet->getCell("Q".$row)->getValue();
                $x_adiciones = $sheet->getCell("AC".$row)->getValue();
                $x_fobu = $sheet->getCell("AD".$row)->getValue();
                $x_fobi = $sheet->getCell("AE".$row)->getValue();
                $x_transporte = $sheet->getCell("AF".$row)->getValue();
                $x_seguro = $sheet->getCell("AG".$row)->getValue();
                $x_chasis = $sheet->getCell("AS".$row)->getValue();
                $x_motor = $sheet->getCell("AT".$row)->getValue();
                $x_color = $sheet->getCell("AV".$row)->getValue();
				$x_otra = substr( $x_otras, -4 );       // Devuelve: "[2023]"
                $sql = "insert into tb_datadai (dai,item, descripcion, modelo, marca, otras, adiciones, fobunitario, fobitem, transporte, seguro, chasis, motor, color, id_solicitudprevia, condicion, created_at) value ";
                $sql .= " (\"$dai\",\"$x_item\",\"$x_descripcion\",\"$x_modelo\",\"$x_marca\",\"$x_otra\",\"$x_adiciones\",\"$x_fobu\",\"$x_fobi\",\"$x_transporte\",\"$x_seguro\",\"$x_chasis\",\"$x_motor\",\"$x_color\",\"$idsp\",\"$condicion\", NOW())";
               $con->query($sql);
            }
    	unlink($archivo);
        }	

}
}
echo "<script>
history.back();
</script>
";*/
?>